Bug 128647 - parenthesis in filename causes a2ps(1) to emit error message
parenthesis in filename causes a2ps(1) to emit error message
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: a2ps (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-27 13:55 EDT by Don Buchholz
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 4.13b-40
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 12:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Buchholz 2004-07-27 13:55:17 EDT
Description of problem:
   It appears that a2ps(1) calls out to a shell to execute the 
   file(1) command and ascertain the file type.  When doing so,
   the '()' characters are not properly escaped, and the shell
   prints "syntax error near unexpected token `('".  The job
   does print, though.

Version-Release number of selected component (if applicable):
   4.13b-28

How reproducible:
   always

Steps to Reproduce:
1. create small file with '(' and/or ')' in the filename, e.g. "f(oo)"
2. execute "a2ps f\(oo\)"
  
Actual results:
$ a2ps f\(oo\) 
sh: -c: line 1: syntax error near unexpected token `('
sh: -c: line 1: `/usr/bin/file -L f(oo)'
[f(oo) (plain): 1 page on 1 sheet]
request id is hp5000-606 (1 file(s))
[Total: 1 page on 1 sheet] sent to the default printer
$

Expected results:
a2ps f\(oo\) 
[f(oo) (plain): 1 page on 1 sheet]
request id is hp5000-606 (1 file(s))
[Total: 1 page on 1 sheet] sent to the default printer
$

Additional info:
Comment 1 Tim Waugh 2004-07-29 12:00:16 EDT
This has been fixed in the Fedora development stream and will appear
in a future release of Red Hat Enterprise Linux.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.